#	Part of CBA-DE
#
#   Version: 2017-09-29
#   Author: Frédéric Grelot
#	Licence: GNU General Public License

# setwd("le/bon/chemin")                     # To use if getwd() does not give the path where CBA-ANALIS.R is located
# setwd(file.path("le", "bon", "chemin"))    # To use if getwd() does not give the path where CBA-ANALIS.R is located

suppressPackageStartupMessages(library(sensitivity))
# install.packages("sensitivity") si packages non présent

suppressPackageStartupMessages(library(xtable))
# install.packages("xtable") si packages non présent

LATEX = FALSE
ZIP = FALSE

source("bin/ini.R", local=TRUE)								# Initialization

X = calculate.nominal()												# Nominal

if(N != 1) {
	analyze.core(N, X)													# Uncertainty and sensitivity analysis
	time.elapsed(analyze.graphic, M, S)					# Graphical analysis
}

if(LATEX) make.xtable()												# Table for LaTex
if(ZIP) time.elapsed(compress, case, SKIP)		# Compression



