#!/usr/bin/Rscript
#	Part of CBA-DE
#
#   Version: 2014-06-20
#   Author: Frédéric Grelot
#	Licence: GNU General Public License

suppressPackageStartupMessages(library("optparse"))
#options(showErrorCalls = FALSE, show.error.locations = FALSE)
#options(show.error.messages = FALSE)

option_list = list(
    make_option(c("-c", "--case"), type="character", default="Test",
        help = "Case study [default \"%default\"]"),
    make_option(c("-i", "--ini"), type="character", default="",
        help = "Where to find value for N and case [default \"%default\"]"),
    make_option(c("-k", "--check"), action="store_true", type="logical", 
        default=TRUE, help = "Check integrity of data"),
    make_option(c("-l", "--latex"), action="store_true", type="logical", 
        default=TRUE, help = "Do LaTeX tables from data"),
    make_option(c("-r", "--rate"), type="character", default="cgp",
        help = "Discount rate [default \"%default\"]"),
    make_option(c("-N", "--N"), type="integer", default=1000,
        help="Size of sample for Monte-Carlo simulation [default %default]",
        metavar="number"),
    make_option(c("-s", "--skip"), action="store_true", type="logical", 
        default=FALSE, help = "Skip output directory if zip is asked"),
    make_option(c("-z", "--zip"), action="store_true", type="logical", 
        default=FALSE, help = "Zip the output")
)
                                      
opt = parse_args(OptionParser(option_list=option_list))

case = opt$case
CHECK = opt$check
LATEX = opt$latex
N = opt$N
RATE = opt$rate
SKIP = opt$skip
ZIP = opt$zip

if(opt$ini != "") source(opt$ini)

source("CBA-ANALYSIS.R")
