#	Part of CBA-DE
#
#   Version: 2014-06-20
#   Author: Frédéric Grelot
#	Licence: GNU General Public License

analyze.core = function(N, X) {
	X1 = draw.all.parameter(N, X)
	X2 = draw.all.parameter(N, X)
	M = time.elapsed(model.NPV, rbind(X1, X2[-1, ]), verbose = TRUE, rate = RATE)
	S = time.elapsed(sobolmartinez, model.NPV, X1, X2, nboot = N/10, rate = RATE)

	write.csv2(M, file = file.path(path.output.case, "Uncertainty.csv"), row.names = FALSE)
	write.csv2(S$S, file = file.path(path.output.case, "Sobol.csv"))
	
	assign("M", as.data.frame(M), envir = .GlobalEnv)
	assign("S", S$S, envir = .GlobalEnv)
	
	invisible()
}
