#	Part of CBA-DE
#
#   Version: 2014-06-20
#   Author: Frédéric Grelot
#	Licence: GNU General Public License

calculate.nominal = function() {
	period = FLOOD$period.nominal
	cost =  COST[colnames(CALENDAR)[-1] , "nominal"]
	hydraulic = FLOOD$hydraulic.nominal
	impact = t(t(IMPACT[, rownames(FLOOD)]) * hydraulic)

	IMPACT.BASE = as.vector(t(impact))
	names(IMPACT.BASE) = paste(rep(rownames(impact), each=ncol(impact)), colnames(impact), sep=".")
	assign("IMPACT.BASE", IMPACT.BASE, envir=.GlobalEnv)

	X = cbind(t(cost), t(period), t(hydraulic), t(rep(1, nrow(IMPACT))))
	colnames(X) = c(
		paste("cost", rownames(COST), sep="."),
		paste("period", rownames(FLOOD), sep="."),
		paste("hydraulic", rownames(FLOOD), sep="."),
		paste("impact", rownames(IMPACT), sep="."))
#	assign("X", X, envir=.GlobalEnv)

	nominal = model.NPV(X, rate=RATE, verbose=TRUE)
	
	msg = paste("Model EAD:", nominal[, "benefit"] , "\nModel NPV:", 
		nominal[, "NPV"] , "\n")
	write(msg, file=LOG, append=TRUE)
	cat(msg)
	
	invisible(X)	
}

