#	Part of CBA-DE
#
#   Version: 2014-06-20
#   Author: Frédéric Grelot
#	Licence: GNU General Public License

check.row = function(X) {
	Y = try(get(paste(X, ".ROW", sep="")), silent=TRUE)
	if(class(Y) == "try-error") return()
	x = rownames(get(X))
	y = colnames(get(Y))[!(colnames(get(Y)) %in% 
		get(paste(Y, ".COL", sep="")))]
	
	row.missing = y[!(y %in% x)]
	col.missing = x[!(x %in% y)]
	if(length(col.missing) > 0 | length(row.missing) > 0) {
		msg = sprintf("Pb de compatibilite entre les fichiers '%s' et '%s' dans '%s':",
			X, Y, path.data.case)
		if(length(col.missing) > 0) {
			msg = paste(msg,
				sprintf("\t- ligne(s) %s dans %s mais pas dans les colonnes de %s",
				paste(col.missing, collapse=", "), X, Y), sep="\n")
		}
		if(length(row.missing) > 0) {
			msg = paste(msg,
				sprintf("\t- colonne(s) %s dans %s mais pas dans les lignes de %s",
				paste(row.missing, collapse=", "), Y, X), sep="\n")
		}
		write(msg, file=LOG, append=TRUE)
		stop(msg, call. = FALSE)
	}
}
