#	Part of CBA-DE
#
#   Version: 2014-06-20
#   Author: Frédéric Grelot
#	Licence: GNU General Public License

discount.rate = function(h = 0:50, rate = "cgp", ...)
{
    cgp = function(h, begin = .04, limit = .02, shift = 30)
    { 
        rate = pmin(((1 + begin)^shift* (1 + limit)^(h - shift))^(1 / h) - 1, begin)
        rate[h == 0] = 0
        rate
    }
    
    constant = function(h, value = .025)
    {
        rate = rep(value, length(h))
        rate[h == 0] = 0
        rate
    }

    rate = switch(rate,
         cgp = cgp,
         constant = constant,
         NULL)
    
    if(min(h) < 0) stop("h must be a valid sequence of year")
    if(!is.function(rate)) stop("rate must be a valid function.")
    rate(h, ...)
}
