#	Part of CBA-DE
#
#   Version: 2017-08-30
#   Author: Frédéric Grelot
#	Licence: GNU General Public License
# Modifications:
# - [2017-06-13] negative values are taken into account

draw.parameter = function(x, n, type = "matrix") {

	draw.parameter.vector = function(x, n) {
		mi = as.numeric(x[2])
		ma = as.numeric(x[3])
		if(x[4] == "relative") {
			no = as.numeric(x[1])
			mi = no * (1 + mi)
			ma = no * (1 + ma)
		}
		mi + (ma - mi) * runif(n)
	}
	
	if(is.vector(x)) {
		return(draw.parameter.vector(x, n))
	}
	
	result = apply(x, 1, draw.parameter.vector, n)
	if(type == "matrix")
		return(result)
	if(type == "list") 
		return(invisible(as.list(as.data.frame(t(result)))))
	stop("Bad type for return")
}
