#	Part of CBA-DE
#
#   Version: 2014-06-20
#   Author: Frédéric Grelot
#	Licence: GNU General Public License

make.xtable = function() {
	xcost = xtable(COST, 
		caption = paste("Coûts (", case, ")", sep=""), 
		label = paste("Tab:Cout", case, sep="_"), 
		align = "lrrrl")

	ximpact = xtable(IMPACT, 
		caption = paste("Impacts (", case, ")", sep=""), 
		label = paste("Tab:Impact", case, sep="_"), 
		align = paste(c("l", rep("r", length(IMPACT)-1), "l"), collapse=""))

	xflood1 = xtable(FLOOD[1:4], 
		caption = paste("Scénarios de crue (", case, ")", sep=""), 
		label = paste("Tab:Inondation", case, sep="_"), 
		align = "lrrrl")

	xflood2 = xtable(FLOOD[5:8], 
		caption = paste("Scénarios de crue (", case, ")", sep=""), 
		label = paste("Tab:Inondation", case, sep="_"), 
		align = "lrrrl")
		
	print(xcost, format.args = list(decimal.mark=","), booktabs=TRUE,
		file=file.path(path.output.case, "cost.tex"))

	print(ximpact, format.args = list(decimal.mark=","), booktabs=TRUE,
		file=file.path(path.output.case, "impact.tex"))
		
	print(xflood1, format.args = list(decimal.mark=","), booktabs=TRUE,
		file=file.path(path.output.case, "flood1.tex"))

	print(xflood2, format.args = list(decimal.mark=","), booktabs=TRUE,
		file=file.path(path.output.case, "flood2.tex"))

	write(c(
		scan(file.path(path.output.case, "flood1.tex"), what="character", 
			sep="\n", nmax=nrow(FLOOD) + 8, quiet=TRUE),
		scan(file.path(path.output.case, "flood2.tex"), what="character", 
			sep="\n", skip=5, quiet=TRUE)),
		file.path(path.output.case, "flood.tex"))
		
	unlink(file.path(path.output.case, c("flood1.tex", "flood2.tex")))
}
