#	Part of CBA-DE
#
#   Version: 2014-06-20
#   Author: Frédéric Grelot
#	Licence: GNU General Public License

model.NPV = function(X, impact.base=IMPACT.BASE, calendar=CALENDAR, 
	verbose=FALSE, ...) {
	cost = grep("^cost", colnames(X))
	impact = grep("^impact", colnames(X))
	period = grep("^period", colnames(X))
	hydraulic = grep("^hydraulic", colnames(X))
	
	n = length(impact.base) / length(period)
	
	impact = t(apply(X[, c(impact, hydraulic), drop=FALSE], 1, 
		fit.impact.2, b=impact.base, i=length(impact)))
	weight = t(apply(apply(X[, period, drop=FALSE], 1, 
		calculate.weight), 2, rep, n))
	benefit = apply(impact * weight, 1, sum)
	NPV = apply(cbind(benefit, -X[, cost, drop=FALSE]), 1, discount, 
		calendar, discount.weight(as.numeric(rownames(calendar)), ...))
	
	if(verbose) {
		colnames(impact) = names(impact.base)
		NPV = cbind(X, impact, benefit, NPV)
	}
	
	invisible(NPV)
}
