#	Part of CBA-DE
#
#   Version: 2014-06-20
#   Author: Frédéric Grelot
#	Licence: GNU General Public License

plot.explore = function(S, M) {
	selection = rownames(S[S$original > .1,])
	
	if(length(selection) == 0) return(NULL)
	neg = sum(M[, "NPV"] <= 0) / nrow(M)
	
	color = rep(gray(0.9), nrow(M))
	color[M[, "NPV"] < 0] = "red"
	cex = rep(1, nrow(M))
	cex[M[, "NPV"] < 0] = 3

	pdf(file.path(path.output.case, "plot.exploration_1D.pdf"))
	for(n in selection) {
		p = prop.negative(M[ ,n], M[ ,"NPV"], 100)
		barplot(p, main=n, col=c("red"), names.arg=names(p), ylim=c(0,1))
		abline(h = neg)
	}
	dev.off()
	
	if(length(selection) == 1) return(NULL)
	eg = expand.grid(selection, selection)
	eg = eg[eg[1] != eg[2],]

	pdf(file.path(path.output.case, "plot.exploration_2D.pdf"))
	apply(eg, 1, plot.compare, y=M, color=color, cex=cex)
	dev.off()

	pdf(file.path(path.output.case, "plot.exploration_2Dbis.pdf"))
	for(i in seq(nrow(eg))) {
		p = prop.negative(M[, as.character(unlist(eg[i,]))], M[ ,"NPV"], 20)
		image(as.numeric(dimnames(p)[[1]]), as.numeric(dimnames(p)[[2]]), p, 
			xlab = names(dimnames(p))[1], ylab=names(dimnames(p))[2],
			breaks=seq(0,1,length.out=101), col=gray(seq(1,0,length.out=100)))
	}
	dev.off()
}
