#	Part of CBA-DE
#
#   Version: 2014-06-20
#   Author: Frédéric Grelot
#	Licence: GNU General Public License

plot.hist = function(M) {
	neg = sum(M[, "NPV"] <= 0) / nrow(M)
	nominal = M[1,"NPV"]
	
	histo = hist(M[, "NPV"], breaks=100, plot=FALSE)
	color =  rep("white", length(histo$breaks))
	color[histo$breaks <= 0] = "red"

	pdf(file.path(path.output.case, "plot.hist.pdf"))
	plot(histo, col=color, xlab="NPV", main=NULL)
	title(main = paste("Histogram of NPV\n"))
	title(main = paste("\n(Part of negative values: ", round(neg, 2), ")", 
		sep=""), cex.main = .8)
	segments(nominal, 0, nominal, round(max(histo$counts)), col="blue", lwd=1.5)
	text(nominal, max(histo$counts) * 1.02, paste("Nominal:", 
		signif(nominal,3)), col="blue")
	dev.off()
}
