#	Part of CBA-DE
#
#   Version: 2014-06-20
#   Author: Frédéric Grelot
#	Licence: GNU General Public License

### ELEMENTARY PATHS
path.data = "data"
path.bin = "bin"
path.function = file.path(path.bin, "function")
path.structure = file.path(path.bin, "structure")
path.output = "output"

### LOADING FUNCTIONS
source(file.path(path.function, "source.dir.R"))
source.dir(path.function)

### CASE STUDY & SAMPLE SIZE
check.case()
check.N()

### CASE STUDY PATHS
path.data.case = file.path("data", case)
path.output.case = file.path(path.output, case)
unlink(path.output.case, TRUE)
dir.create(path.output.case, FALSE, TRUE)
LOG = file.path(path.output.case, "information.log")
unlink(LOG)

### SOME GLOBALS
source(file.path(path.bin, "structure", "structure.R"))
check.global()

### LOADING CASE STUDY DATA
source.data(path.data.case, CHECK)

### SUM-UP
msg = sprintf("case = '%s'\nN = %d\nrate = '%s'\n", case, N, RATE)
cat(msg)
write(msg, file=LOG)

